{
  "name": "zksync-hardhat-template",
  "description": "A template for ZKsync smart contracts development with Hardhat",
  "private": true,
  "author": "Matter Labs",
  "license": "MIT",
  "repository": "https://github.com/matter-labs/zksync-hardhat-template.git",
  "scripts": {
    "deploy": "hardhat run ./scripts/deploy.ts",
    "deploy-erc20": "hardhat run ./scripts/deploy-erc20.ts",
    "deploy-nft": "hardhat run ./scripts/deploy-nft.ts",
    "interact": "hardhat run ./scripts/interact.ts",
    "compile": "hardhat compile",
    "clean": "hardhat clean",
    "test": "hardhat test --network hardhat"
  },
  "devDependencies": {
    "@le7el/rewards_engine": "^0.7.2",
    "@matterlabs/hardhat-zksync": "^1.3.0",
    "@matterlabs/zksync-contracts": "^0.6.1",
    "@nomicfoundation/hardhat-verify": "^2.0.9",
    "@openzeppelin/contracts": "^4.9.6",
    "@types/chai": "^4.3.7",
    "@types/mocha": "^10.0.7",
    "@types/node": "^22.10.1",
    "chai": "^4.3.7",
    "dotenv": "^16.4.5",
    "ethers": "^6.13.4",
    "hardhat": "^2.22.17",
    "mocha": "^11.0.1",
    "ts-node": "^10.9.2",
    "typescript": "^5.7.2",
    "zksync-ethers": "^6.15.3"
  }
}
